#ifndef RESOURCEDEFINES_H
#define RESOURCEDEFINES_H
// Copyright (c) 2005 David Drysdale.  See license.txt for license info

// Alerts and dialogs
#define HighScoresDialog       1000
#define HelpDialog             1001
#define PreferencesDialog      1002
#define AboutAlert             1003
#define RomIncompatibleAlert   1004
#define DebugAlert             1005
#define WonAlert               1006
#define HighScoreAlert         1007
#define BestTimesDialog        1008

// Menu items
#define HighScores             1100
#define NewGame                1101
#define Preferences            1102
#define HelpMineSweeper        1103
#define AboutMineSweeper       1104

// Main form and its contents
#define MainForm               2000
#define BoardGadget            2001
#define VertScroll             2002
#define HorizScroll            2003
#define DefuseButton           2004
#define TimeLabel              2005
#define MinesLabel             2006
#define Menu                   2007
#define MineSweeperHelpString  2008

// Preference dialog contents
#define SmallSizeButton         2101
#define MediumSizeButton        2102
#define LargeSizeButton         2103
#define CustomSizeButton        2104
#define BoardWidthField         2105
#define BoardHeightField        2106
#define EasyLevelButton         2107
#define MediumLevelButton       2108
#define HardLevelButton         2109
#define CustomLevelButton       2110
#define NumMinesField           2111
#define DoQuestionMark          2112
#define ResetBestTimes          2113
#define PreferencesOKButton     2114
#define PreferencesCancelButton 2115
#define PreferencesHelpString   2116

// Best Times dialog contents
#define BestTimesOKButton      2200
#define BestTimeSmallEasy      2201
#define BestTimeSmallMedium    2202
#define BestTimeSmallHard      2203
#define BestTimeMediumEasy     2204
#define BestTimeMediumMedium   2205
#define BestTimeMediumHard     2206
#define BestTimeLargeEasy      2207
#define BestTimeLargeMedium    2208
#define BestTimeLargeHard      2209

// Help dialog
#define HelpTextField          2700
#define HelpTextScrollbar      2701
#define HelpOKButton           2702


// Bitmap IDs
// Exposed squares; the first set must have contiguous values
#define Nbrs0Bitmap            3000
#define Nbrs1Bitmap            3001
#define Nbrs2Bitmap            3002
#define Nbrs3Bitmap            3003
#define Nbrs4Bitmap            3004
#define Nbrs5Bitmap            3005
#define Nbrs6Bitmap            3006
#define Nbrs7Bitmap            3007
#define Nbrs8Bitmap            3008
#define NotMineBitmap          3009
#define MineBitmap             3010

// Unexposed squares
#define FlagBitmap             3011
#define PressedBitmap          3012
#define QuestionBitmap         3013
#define NormalBitmap           3014

#endif
